# Class RawAppService

- Defined in src/services.gen.ts:5069

#####
Index

### Constructors

constructor

### Methods

createRawApp
deleteRawApp
existsRawApp
getRawAppData
listRawApps
updateRawApp

##
Constructors

### constructor

- new RawAppService(): RawAppService

- #### Returns RawAppService

##
Methods

### `Static` createRawApp

- createRawApp(data): CancelablePromise<string>

- create raw app

  #### Parameters

  - data: CreateRawAppData

    The data for the request.

  #### Returns CancelablePromise<string>

  string raw app created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5153

### `Static` deleteRawApp

- deleteRawApp(data): CancelablePromise<string>

- delete raw app

  #### Parameters

  - data: DeleteRawAppData

    The data for the request.

  #### Returns CancelablePromise<string>

  string app deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5195

### `Static` existsRawApp

- existsRawApp(data): CancelablePromise<boolean>

- does an app exisst at path

  #### Parameters

  - data: ExistsRawAppData

    The data for the request.

  #### Returns CancelablePromise<boolean>

  boolean app exists

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5113

### `Static` getRawAppData

- getRawAppData(data): CancelablePromise<string>

- get app by path

  #### Parameters

  - data: GetRawAppDataData

    The data for the request.

  #### Returns CancelablePromise<string>

  string app details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5133

### `Static` listRawApps

- listRawApps(data): CancelablePromise<ListRawAppsResponse>

- list all raw apps

  #### Parameters

  - data: ListRawAppsData

    The data for the request.

  #### Returns CancelablePromise<ListRawAppsResponse>

  ListableRawApp All raw apps

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5086

### `Static` updateRawApp

- updateRawApp(data): CancelablePromise<string>

- update app

  #### Parameters

  - data: UpdateRawAppData

    The data for the request.

  #### Returns CancelablePromise<string>

  string app updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5174